Heartbleed vulnerability patched - we recommend you change your Dripbook password.
Posted on 17th April 2014 by Alex Wright

By now you have likely heard of the Heartbleed Bug , a security concern effecting millions of websites. We've been working with Thawte , the provider of our security certificate, and we have completed patching the vulnerability for secure.dripbook.com (the web address of all secure portions of our website).

You can confirm that secure.dripbook.com is not effected by the Heartbleed vulnerability here .

We have no evidence of anyone gaining access to any Dripbook accounts, however we strongly recommend that you change your Dripbook password.

Please let us know if you have any questions.

Comments